Skip to content

List Courses

GET
/ai_labs/organization/{Organization_Id}/course/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Successfully fetched the list of courses

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
courseware_details
object
id
integer
name
string
project_id
integer
description
string
nullable
storage_type
string
pvc
string
nullable
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
nullable
tag
string
is_managed
boolean
location
string
encryption_type
string
nullable
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
nullable
location
string
professor_title
string
professor_name
string
professor
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 25,
"name": "course-251028115114",
"description": "This is a course description",
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T06:21:15.978247Z",
"updated_at": "2025-10-28T06:21:17.977078Z",
"courseware_details": {
"id": 3005,
"name": "ai-labs-course-1761632475",
"project_id": 8007,
"storage_type": "managed",
"bucket": {
"id": 5035,
"bucket_name": "d-gpu-68e7aa62-c3ae-4c42-b09b-dc2186338dfe",
"bucket_url": "s3://d-gpu-68e7aa62-c3ae-4c42-b09b-dc2186338dfe/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 16757,
"location": "Delhi",
"bucket_size": "0 bytes"
},
"access_key": {
"id": 5053,
"access_key": "18NQRRWT4ZGQRNS1VM8I",
"tag": "akgpu100eb36863de4d80b08302a9050f21e4",
"is_managed": true,
"location": "Delhi"
},
"encryption_enable": false,
"status": "OK",
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T06:21:17.919029Z",
"updated_at": "2025-10-28T06:21:17.919086Z",
"location": "Delhi"
},
"professor_title": "Prof.",
"professor_name": "test",
"professor": "Prof. test"
}
],
"errors": {},
"message": "Success"
}